Support for OSSv4.2?


#1

Hi,

OOSv4 is licensed under GPL, supports driver Intel HDA PCH drivers which Librem13v3 runs, and Linux Kernel 4.15+. Not being able to find packages from PureOS repository.

oss4-base
oss4-dkms
oss4-source
oss4-gtk

I couple of key advantages to using OSSv4 over ASLA was taken from the ArchWiki is a more minimalistic interface and a simple API to use.

https://wiki.archlinux.org/index.php/Open_Sound_System
http://manuals.opensound.com/devlists/Linux.html
https://packages.debian.org/source/sid/oss4


#2

You can open a request for packaging here.


#3

I didn’t even realize that anyone still uses OSS. The last time I recall using it was around 2000.

Is OSS compatible with PulseAudio? or do you want to get rid of that too?